;----------------------------------------------------------------
;	BOOT PDX
;----------------------------------------------------------------
ST:

;----------------------------------------------------------------
; ----- EXEC.LIBRARY     -----
;----------------------------------------------------------------
OPENLIBRARY= 	-408
CLOSELIBRARY= 	-414
FORBID= 	-132
PERMIT= 	-138
EXECBASE= 	$04

MOVEM.L 	D0-D7/A0-A6,-(A7)
;----------------------------------------------------------------
; ---- OPEN GRAPHICS.LIBRARY ----
;----------------------------------------------------------------
MOVE.L		EXECBASE,A6
LEA		GFXNAME,A1
JSR		OPENLIBRARY(A6)
MOVE.L		D0,GFXBASE
;----------------------------------------------------------------
JSR		FORBID(A6)		; FORBID MULTITASKING
MOVE.W		#$0020,$DFF096		; STOP SPRITE DMA
;----------------------------------------------------------------
MOVE.L		GFXBASE,A0		; COPPERLISTE EINSCHALTEN
ADD.L		#$32,A0
MOVE.W		#$0080,$DFF096
;----------------------------------------------------------------
MOVE.L		(A0),OLDCOPPER
MOVE.L		#NEWCOPPER,(A0)
MOVE.W		#$8080,$DFF096
;----------------------------------------------------------------
MOVE.W		#$4000,$DFF09A		; NEUEN IRQ EINSCHALTEN
MOVE.L		$6C,OLDIRQ
MOVE.L		#NEWIRQ,$6C
MOVE.W		#$C000,$DFF09A
;----------------------------------------------------------------
WAIT:
BTST		#6,$BFE001		; LINKE MAUSTASTE ???
BNE.S		WAIT
;----------------------------------------------------------------
MOVE.W		#$4000,$DFF09A		; AUF ALTEN IRQ ZURUECK
MOVE.L		OLDIRQ,$6C
MOVE.W		#$C000,$DFF09A
MOVE.L		EXECBASE,A6
MOVE.L		GFXBASE,A1		; GRAPHIC.LIB SCHLIESSEN
JSR		CLOSELIBRARY(A6)
MOVE.L		GFXBASE,A0		; ALTE COPPERLISTE EINSCHALTEN
ADD.L		#$32,A0
MOVE.W		#$0080,$DFF096
MOVE.L		OLDCOPPER,(A0)
MOVE.W		#$8080,$DFF096
MOVE.L		EXECBASE,A6		; MULTITASKING ERLAUBEN
JSR		PERMIT(A6)
MOVE.W		#$8020,$DFF096		; SPRITE DMA EINSCHALTEN
MOVEM.L		(A7)+,D0-D7/A0-A6
ERROR:
RTS
;----------------------------------------------------------------
NEWIRQ:
MOVEM.L		D0-D7/A0-A6,-(SP)

MOVEM.L		(SP)+,D0-D7/A0-A6
DC.W		$4EF9
;----------------------------------------------------------------
OLDIRQ:
DC.L	0
;----------------------------------------------------------------
NEWCOPPER:
	DC.L	$01800000	

START=$75

	DC.B	START,$0F,$FF,$FE
	DC.L	$01800004
	DC.B	START+1,$0F,$FF,$FE
	DC.L	$01800008
	DC.B	START+2,$0F,$FF,$FE
	DC.L	$0180000C


	DC.B	START+110,$0F,$FF,$FE
	DC.L	$01800008
	DC.B	START+111,$0F,$FF,$FE
	DC.L	$01800004
	DC.B	START+112,$0F,$FF,$FE
	DC.L	$01800000



	DC.L	$FFFFFFFF
;----------------------------------------------------------------
GFXBASE:
DC.L 	0
OLDCOPPER:
DC.L 	0
GFXNAME:
dc.b 	"graphics.library",0
;----------------------------------------------------------------
END:
